[pypy-svn] r73093 - pypy/build/ubuntu/trunk

getxsick at codespeak.net getxsick at codespeak.net
Mon Mar 29 18:13:42 CEST 2010


Author: getxsick
Date: Mon Mar 29 18:13:41 2010
New Revision: 73093

Modified:
   pypy/build/ubuntu/trunk/autobuild.sh
Log:
gpg-agent verification. would be nice to fix XXX


Modified: pypy/build/ubuntu/trunk/autobuild.sh
==============================================================================
--- pypy/build/ubuntu/trunk/autobuild.sh	(original)
+++ pypy/build/ubuntu/trunk/autobuild.sh	Mon Mar 29 18:13:41 2010
@@ -9,6 +9,21 @@
 export DEBFULLNAME="Bartosz Skowron"
 export DEBEMAIL="getxsick at gmail.com"
 
+if !([ -f "$HOME/.gpg-agent-info" ] && \
+   kill -0 `cut -d: -f 2 $HOME/.gpg-agent-info` 2>/dev/null)
+then
+	# XXX runing gpg-agent doesn't make more sense, cause we need
+	# to type the passphrase (for first signing)
+	# 
+	# i have no idea how to avoid it and the only known for me way is
+	# to send email notification to do it manually ;)
+	echo "--- gpg-agent is down, send the email notification /`date -R`/"
+	#eval `gpg-agent --daemon > $HOME/.gpg-agent-info`
+	echo "`date -R` : gpg-agent is down." | mail -s "[pypy-autobuild] gpg-agent is down" $DEBEMAIL 
+	exit 10
+fi
+. "$HOME/.gpg-agent-info"
+
 #(
 echo "--- Start a new build at `date -R`"
 



More information about the Pypy-commit mailing list